Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax.patterns.goal
Class DG

    java.lang.Object
      jason.asSyntax.patterns.goal.DG

All Implemented Interfaces:
  Directive

Direct Known Subclasses:
  BDG

    public class DG

extends java.lang.Object
implements Directive

Implementation of the Declarative Goal pattern (see DALT 2006 paper)

Constructor Summary
`DG()`

Method Summary
`Agent` | `process(Pred directive, Agent outerContent, Agent innerContent)` This method is called to process the directive.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DG

    public DG()

Method Detail

### process

    public Agent process(Pred directive,
                         Agent outerContent,
                         Agent innerContent)

  Description copied from interface: `Directive`
  This method is called to process the directive.

  Specified by:
    `process` in interface `Directive`
  Parameters:
    `directive` - the directive as defined in the source (e.g. "include("bla.asl")")
    `outerContent` - the representation of the agent where the directive is being processed (the method should not change this agent state)
    `innerContent` - the content (plans, beliefs, ...) inside the begin/end directive (as in goal patterns)
  Returns:
    the agent (plans, bels, ...) with the result of the directive.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD